package com.galaxis.manatee.controller;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.galaxis.manatee.exception.BigSizeException;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/10/27 11:39 上午
 */
@Slf4j
@RestController
public class TestController {

    private com.galaxis.manatee.service.LogUpdateService LogUpdateService;

    public TestController(com.galaxis.manatee.service.LogUpdateService logUpdateService) {
        LogUpdateService = logUpdateService;
    }

    @GetMapping("/test/helloGet")
    public String testGet(){
        return "hello";
    }

    @PostMapping("/test/helloPost")
    public String testPost(@RequestBody PostObject postObject){
        return "hello";
    }

    @Data
    class PostObject{
        private String a;
        private String b;
    }

    @GetMapping("/test/api/updateChuanyunSelfWorkHourListByUserId")
    public void updateChuanyunSelfWorkHourListByUserId(@RequestParam("userId")String userId) throws JsonProcessingException, BigSizeException {
        LogUpdateService.updateChuanyunSelfWorkHourListByUserId(userId);
    }

    @GetMapping("/test/api/updateChuanyunWeekMemberHourListByUserId")
    public void updateChuanyunWeekMemberHourListByUserId(@RequestParam("userId")String userId) throws JsonProcessingException, BigSizeException {
        LogUpdateService.updateChuanyunWeekMemberHourListByUserId(userId);
    }

    @GetMapping("/test/api/updateChuanyunSelfCostListByUserId")
    public void updateChuanyunSelfCostListByUserId(@RequestParam("userId")String userId) throws JsonProcessingException, BigSizeException {
        LogUpdateService.updateChuanyunSelfCostListByUserId(userId);
    }

}


